const nav = document.querySelector('.scroll');

window.onscroll = function () {
	'use strict';
	const top = window.scrollY;
	if (top >= 5) {
		nav.classList.add('scrolled');
	} else {
		nav.classList.remove('scrolled');
	}
};

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		nav.style.top = "-50%";
		hamburger.classList.remove('openmenu');
		navLinks.classList.remove('nav-active');
	} else {
		nav.style.top = "0";
	}
	lastScrollTop = scrollTop;
});

const hamburger = document.querySelector('.hamburger-menu'),
	navLinks = document.querySelector('.nav-links');

hamburger.addEventListener('click', () => {
	hamburger.classList.toggle('openmenu');
	navLinks.classList.toggle('nav-active');
});